Package org.h2.value

# Class ExtTypeInfoGeometry

java.lang.Object
org.h2.value.ExtTypeInfo
org.h2.value.ExtTypeInfoGeometry

All Implemented Interfaces:
  `HasSQL`

public final class ExtTypeInfoGeometry extends ExtTypeInfo
Extended parameters of the GEOMETRY data type.

## Field Summary

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Constructor Summary

Constructors
Constructor
Description
`ExtTypeInfoGeometry(int type, Integer srid)`
Creates new instance of extended parameters of the GEOMETRY data type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`StringBuilder`
`getSQL(StringBuilder builder, int sqlFlags)`
Appends the SQL statement of this object to the specified builder.
`Integer`
`getSrid()`
Returns the SRID of geometries.
`int`
`getType()`
Returns the type and dimension system of geometries.
`int`
`hashCode()`

### Methods inherited from class org.h2.value.ExtTypeInfo

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

## Constructor Details

### ExtTypeInfoGeometry

public ExtTypeInfoGeometry(int type, Integer srid)
Creates new instance of extended parameters of the GEOMETRY data type.

Parameters:
  `type` - the type and dimension system of geometries, or 0 if not constrained
  `srid` - the SRID of geometries, or `null` if not constrained

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getSQL

public StringBuilder getSQL(StringBuilder builder, int sqlFlags)
Description copied from interface: `HasSQL`
Appends the SQL statement of this object to the specified builder.

Parameters:
  `builder` - string builder
  `sqlFlags` - formatting flags
Returns:
  the specified string builder

### getType

public int getType()
Returns the type and dimension system of geometries.

Returns:
  the type and dimension system of geometries, or 0 if not constrained

### getSrid

public Integer getSrid()
Returns the SRID of geometries.

Returns:
  the SRID of geometries, or `null` if not constrained